#ifndef MUSICSERIAL_LOADED
#define MUSICSERIAL_LOADED 1
/* MusicSerial.h */

#include    "devices/serial.h"
#include    "proto/exec.h"
#include    "exec/devices.h"

#define STARTFUNCT   0
#define STOPFUNCT    1
#define CLOCKFUNCT   2
#define CONTFUNCT    (3)
#include "AlgoRhythms.h"

extern int midi_addr;
extern void open_midi_port(void);
extern int write_ser(struct IOExtSer *io, char *data, int length);
extern void play_note_on(NOTE_EVENT_TYPE *play_event);
extern void send_function(const int Function);
extern void stop_midi(void);
extern void stop_all_notes(NOTE_EVENT_TYPE *notes_to_stop);

#endif
