#ifndef FORMS_LOADED
#define FORMS_LOADED

/*
** Forms.h
*/
#include "AlgoRhythms.h"
#include <devices/timer.h>

extern void close_forms(void);
extern VOID open_forms_window(VOID);
extern int process_form_events(FORM_TYPE *form,
                        struct timeval *duration, int *tempo, 
                        NOTE_EVENT_TYPE *events, NOTE_LEN_TYPE *note_len,
                        int *max_voices, int *scale, int *range,
                        int *half_range, int *delay_ticks);
extern void set_form_gadgets(FORM_TYPE *form, struct timeval *duration, 
                        int *tempo, 
                        NOTE_EVENT_TYPE *events, NOTE_LEN_TYPE *note_len,
                        int max_voices);
extern ULONG forms_mask;
#endif
